# Manage Projects

{% hint style="info" %}
**You are looking at the old Evidently documentation**: this API is available with versions 0.6.7 or lower. Check the newer version [here](https://docs.evidentlyai.com/introduction).
{% endhint %}

Before creating a Project, you need a Workspace.

* In Evidently Cloud, your account is your Workspace. [Set up an account and connect from Python](/setup/cloud_account.md).
* In self-hosted deployments, a Workspace is a remote or local directory. [Create and connect to a workspace](/setup/self_hosting.md).

## Create a Project

You can create a Project using the Python API or directly in the user interface.

### Add a new Project - API

To create a Project inside a workspace `ws` and Organization ([see organizations](https://app.evidently.cloud/organizations)) with an `org_id`, assign a name and description, and save the changes:

```
project = ws.create_project("My test project", org_id="YOUR_ORG_ID")
project.description = "My project description"
project.save()
```

In self-hosted open-source installation, you do not need to pass the Team ID. To create a Project:

```
project = ws.create_project("My test project")
project.description = "My project description"
project.save()
```

### Add a new Project - UI

Click on the “plus” sign on the home page, type your Project name and description.

![](/files/ogmzWdzlfChgPaFUp0XP)

After creating a Project, you can click to open a Dashboard. Since there's no data yet, it will be empty.

**Project ID**. Once you run `create_project`, you will see the Project ID. You can later use it to reference the Project. You can also copy the Project ID directly from the UI: it appears above the monitoring Dashboard.

## Manage Project

### Connect to a Project

To connect to an existing Project from Python, use the `get_project` method.

```python
project = ws.get_project("PROJECT_ID")
```

### Save changes

After making changes to the Project (such as editing description or adding monitoring Panels), always use the `save()` command:

```python
project.save()
```

### Browse Projects

You can see all available Projects on the monitoring homepage, or request a list programmatically. To get a list of all Projects in a workspace `ws`, use:

```python
ws.list_projects()
```

To find a specific Project by its name, use the `search_project` method:

```python
ws.search_project("project_name")
```

### \[DANGER] Delete Project

{% hint style="danger" %}
**You are deleting the data in a Project**. If you delete a Project, you will delete all the snapshots stored inside it.
{% endhint %}

{% tabs %}
{% tab title="API" %}
To delete the Project and all the data inside it:

```
# ws.delete_project("PROJECT ID")
```

{% endtab %}

{% tab title="UI" %}
Go to the "home page", and hover over a Project name. Click on the bin sign and confirm that you want to delete the Project.
{% endtab %}
{% endtabs %}

## Project parameters

Each Project has the following parameters.

| Parameter                                       | Description                                                                                                                                                                                                                                                                                                                              |
| ----------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name: str`                                     | Project name.                                                                                                                                                                                                                                                                                                                            |
| `id: UUID4 = Field(default_factory=uuid.uuid4)` | Unique identifier of the Project. Assigned automatically.                                                                                                                                                                                                                                                                                |
| `description: Optional[str] = None`             | Optional description. Visible when you browse Projects.                                                                                                                                                                                                                                                                                  |
| `dashboard: DashboardConfig`                    | <p>Dashboard configuration that describes the composition of the monitoring Panels.<br><br><strong>Note</strong>: See <a href="/pages/9gvks8hk88ZhwtpTpSCX">Dashboard Design</a> for details. You don't need to explicitly pass <code>DashboardConfig</code> if you use the <code>.dashboard.add\_panel</code> method to add Panels.</p> |
| `date_from: Optional[datetime.datetime] = None` | <p>Start DateTime of the monitoring Dashboard. By default, Evidently shows data for all available periods based on the snapshot timestamps.<br><br>You can set a different DateTime. E.g., to refer to the last 30 days:<br><code>from datetime import datetime, timedelta</code><br><code>datetime.now() + timedelta(-30)</code></p>    |
| `date_to: Optional[datetime.datetime] = None`   | <p>End DateTime of the monitoring Dashboard.<br>Works the same as above.</p>                                                                                                                                                                                                                                                             |

## What’s next?

Once you create or connect to a Project, you can:

* [Send snapshots](/user-guide/evaluations/snapshots.md) using the `add_report` or `add_test_suite` methods.
* Configure the monitoring Dashboard in the [user interface](/user-guide/dashboard/add_dashboard_tabs.md) or via the [Python API](/user-guide/dashboard/design_dashboard_api.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/user-guide/projects/add_project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
